OpenNMS API 1.2.9

## org.opennms.report.datablock
Class StandardNamedObject

    java.lang.Object
      org.opennms.report.datablock.StandardNamedObject

Direct Known Subclasses:
  Interface, Node, Service

public class StandardNamedObject
extends java.lang.Object

This class gives a name to the object.

Author:
  Jacinta Remedios , oculan.com

Field Summary
`private java.lang.String` `m_name` The name of the object

Constructor Summary
`StandardNamedObject()` Default Constructor.
`StandardNamedObject(java.lang.String name)` Constructor.

Method Summary
`java.lang.String` `getName()` Return the name
`void` `setName(java.lang.String name)` Set the name

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_name

    private java.lang.String m_name

  The name of the object

Constructor Detail

### StandardNamedObject

    public StandardNamedObject()

  Default Constructor.

### StandardNamedObject

    public StandardNamedObject(java.lang.String name)

  Constructor.

Method Detail

### setName

    public void setName(java.lang.String name)

  Set the name

  Parameters:
    `name` - The name to be set.

### getName

    public java.lang.String getName()

  Return the name

  Returns:
    the name.

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.